Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.edit.ui.provider
Class NotifyChangedToViewerRefresh

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.NotifyChangedToViewerRefresh

    public class NotifyChangedToViewerRefresh

extends Object

This class calls optimized refresh APIs for all the standard Viewer subclasses.

Constructor Summary
`NotifyChangedToViewerRefresh()`

Method Summary
`static void` | `handleNotifyChanged(org.eclipse.jface.viewers.Viewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`
`void` | `refresh(org.eclipse.jface.viewers.Viewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`
`void` | `refreshAbstractTreeViewer(org.eclipse.jface.viewers.AbstractTreeViewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`
`void` | `refreshListViewer(org.eclipse.jface.viewers.ListViewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`
`void` | `refreshStructuredViewer(org.eclipse.jface.viewers.StructuredViewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`
`void` | `refreshTableViewer(org.eclipse.jface.viewers.TableViewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`
`void` | `refreshTreeViewer(org.eclipse.jface.viewers.TreeViewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`
`void` | `refreshViewer(org.eclipse.jface.viewers.Viewer viewer, Object object, int eventType, Object feature, Object oldValue, Object newValue, int index)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyChangedToViewerRefresh

    public NotifyChangedToViewerRefresh()

Method Detail

### handleNotifyChanged

    public static void handleNotifyChanged(org.eclipse.jface.viewers.Viewer viewer,
                                           Object object,
                                           int eventType,
                                           Object feature,
                                           Object oldValue,
                                           Object newValue,
                                           int index)

### refresh

    public void refresh(org.eclipse.jface.viewers.Viewer viewer,
                        Object object,
                        int eventType,
                        Object feature,
                        Object oldValue,
                        Object newValue,
                        int index)

### refreshTreeViewer

    public void refreshTreeViewer(org.eclipse.jface.viewers.TreeViewer viewer,
                                  Object object,
                                  int eventType,
                                  Object feature,
                                  Object oldValue,
                                  Object newValue,
                                  int index)

### refreshListViewer

    public void refreshListViewer(org.eclipse.jface.viewers.ListViewer viewer,
                                  Object object,
                                  int eventType,
                                  Object feature,
                                  Object oldValue,
                                  Object newValue,
                                  int index)

### refreshTableViewer

    public void refreshTableViewer(org.eclipse.jface.viewers.TableViewer viewer,
                                   Object object,
                                   int eventType,
                                   Object feature,
                                   Object oldValue,
                                   Object newValue,
                                   int index)

### refreshAbstractTreeViewer

    public void refreshAbstractTreeViewer(org.eclipse.jface.viewers.AbstractTreeViewer viewer,
                                          Object object,
                                          int eventType,
                                          Object feature,
                                          Object oldValue,
                                          Object newValue,
                                          int index)

### refreshStructuredViewer

    public void refreshStructuredViewer(org.eclipse.jface.viewers.StructuredViewer viewer,
                                        Object object,
                                        int eventType,
                                        Object feature,
                                        Object oldValue,
                                        Object newValue,
                                        int index)

### refreshViewer

    public void refreshViewer(org.eclipse.jface.viewers.Viewer viewer,
                              Object object,
                              int eventType,
                              Object feature,
                              Object oldValue,
                              Object newValue,
                              int index)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.